Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 584392 - Review Request: fakeroot - Gives a fake root environment
Review Request: fakeroot - Gives a fake root environment
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: Package Review (Show other bugs)
5.0
All Linux
medium Severity medium
: rc
: ---
Assigned To: nobody nobody
:
Depends On:
Blocks: 188271 584362
  Show dependency treegraph
 
Reported: 2010-04-21 10:08 EDT by Richard W.M. Jones
Modified: 2013-10-30 14:26 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-30 14:26:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard W.M. Jones 2010-04-21 10:08:44 EDT
Spec URL: http://94.30.104.162/rhel-5-rhev/fakeroot.spec
SRPM URL: http://94.30.104.162/rhel-5-rhev/fakeroot-1.12.4-1.el5rhev.1.src.rpm
Description:

fakeroot runs a command in an environment wherein it appears to have
root privileges for file manipulation. fakeroot works by replacing the
file manipulation library functions (chmod(2), stat(2) etc.) by ones
that simulate the effect the real library functions would have had,
had the user really been root.
Comment 2 Richard W.M. Jones 2013-10-30 14:26:15 EDT
This Bugzilla has been reviewed by Red Hat and is not planned on being
addressed in Red Hat Enterprise Linux 5, and therefore will be closed.
If this bug is critical to production systems, please contact your Red
Hat support representative and provide sufficient business
justification. Issue is already fixed in RHEL-6/7.

Note You need to log in before you can comment on or make changes to this bug.